Skip to main content
`Ctrl`+`K`

# PCDeflationSetCorrectionFactor

Set coarse problem correction factor. The preconditioner becomes PM^{-1} + factQ.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationSetCorrectionFactor(PC pc, PetscScalar fact)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- fact - correction factor

## Options Database Keys

- -pc_deflation_correction <false> - if true apply coarse problem correction

- -pc_deflation_correction_factor <1.0> - sets coarse problem correction factor

## Note

Any non-zero fact enables the coarse problem correction.

## See Also

KSP: Linear System Solvers, `PCDEFLATION`, `PCDeflationSetLevels()`, `PCDeflationSetReductionFactor()`

## Level

intermediate

## Location

src/ksp/pc/impls/deflation/deflation.c

## Implementations

PCDeflationSetCorrectionFactor_Deflation() in src/ksp/pc/impls/deflation/deflation.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages